import { jsx } from "react/jsx-runtime";
import { CookingPot as CookingPot$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CookingPot = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CookingPot", ...props, children: /* @__PURE__ */ jsx(CookingPot$1, { weight: variant }) });
  }
);
CookingPot.displayName = "CookingPot";
Object.assign(CookingPot, { isGdsIcon: true });
export {
  CookingPot
};
